package com.sf.system.service;

import java.util.List;
import com.sf.system.domain.UserMember;

/**
 * 会员Service接口
 * 
 * @author ztzh
 * @date 2024-04-16
 */
public interface IUserMemberService 
{
    /**
     * 查询会员
     * 
     * @param id 会员主键
     * @return 会员
     */
    public UserMember selectUserMemberById(Long id);

    /**
     * 查询会员列表
     * 
     * @param userMember 会员
     * @return 会员集合
     */
    public List<UserMember> selectUserMemberList(UserMember userMember);

    /**
     * 新增会员
     * 
     * @param userMember 会员
     * @return 结果
     */
    public int insertUserMember(UserMember userMember);

    /**
     * 修改会员
     * 
     * @param userMember 会员
     * @return 结果
     */
    public int updateUserMember(UserMember userMember);

    /**
     * 批量删除会员
     * 
     * @param ids 需要删除的会员主键集合
     * @return 结果
     */
    public int deleteUserMemberByIds(Long[] ids);

    /**
     * 删除会员信息
     * 
     * @param id 会员主键
     * @return 结果
     */
    public int deleteUserMemberById(Long id);

    UserMember selectUserMemberByUserId(Long userId);
}
